
/**
 * （首页新闻推荐条数改为新老用户的枚举）
 *
 * @author lxc
 * @date 2020/12/09 15:35
 **/
package com.yh.saas.plugin.news.enums;

import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * NewsEnums class
 *
 * @author lxc
 * @date 2020/12/47
 * 新闻共同状态枚举
 */
public enum NewsEnums {

    // 0 未删除
    DELETE_FLAG_0("0", "未删除"),
    // 0 已删除
    DELETE_FLAG_1("1", "已删除");


    @Getter
    @Setter
    private String code;

    @Getter
    @Setter
    private String value;


    private static final Map<String, NewsEnums> CODE_MAP = new HashMap<>();

    static {
        for (NewsEnums newsExceptionEnums : values()) {
            CODE_MAP.put(newsExceptionEnums.getCode(), newsExceptionEnums);
        }
    }

    NewsEnums(String code, String value) {
        this.code = code;
        this.value = value;
    }


    public static NewsEnums fromCode(String code) {
        return CODE_MAP.get(code);
    }


}
